#include <pic18.h>
#include <peripheral/i2c.h>

/********************************************************************
*     Function Name:    ReadI2C1                                    *
*     Return Value:     contents of SSP1BUF register                *
*     Parameters:       void                                        *
*     Description:      Read single byte from I2C1 bus.             *
********************************************************************/
#if defined (_I2C_V2) || defined (_I2C_V3) || defined (_I2C_V5) || defined (_I2C_V6)  
unsigned char ReadI2C1( void )
{
  RCEN_x = 1;           // enable master for 1 byte reception
  while ( !BF_x );      // wait until byte received  
  return ( SSP1BUF );              // return with read byte 
}
#endif
