#include <pic18.h>
#include <peripheral/i2c.h>

/********************************************************************
*     Function Name:    WriteI2C2                                   *
*     Return Value:     Status byte for WCOL detection.             *
*     Parameters:       Single data byte for I2C2 bus.              *
*     Description:      This routine writes a single byte to the    * 
*                       I2C2 bus.                                   *
********************************************************************/
#if defined (_I2C_V3) || defined (_I2C_V6)
unsigned char WriteI2C2( unsigned char data_out )
{
  SSP2BUF = data_out;           // write single byte to SSP2BUF
  if ( WCOL2_x )      // test if write collision occurred
    return ( -1 );              // if WCOL bit is set return negative #
  else
  {
    while( BF2_x );   // wait until write cycle is complete         
    IdleI2C2();                  // ensure module is idle
    if ( ACKSTAT2_x ) // test for ACK condition received
    	 return ( -2 );
	else return ( 0 );               // if WCOL bit is not set return non-negative #
  }
}
#endif
