#include <pic18.h>
#include <peripheral/i2c.h>

/********************************************************************
*     Function Name:    ReadI2C                                     *
*     Return Value:     contents of SSPBUF register                 *
*     Parameters:       void                                        *
*     Description:      Read single byte from I2C bus.              *
********************************************************************/
#if defined (_I2C_V1)
unsigned char ReadI2C( void )
{
  RCEN_x = 1;           // enable master for 1 byte reception
  while ( !BF_x );      // wait until byte received  
  return ( SSPBUF );              // return with read byte 
}
#endif

#if defined (_I2C_V4)
unsigned char ReadI2C( void )
{
  while ( !BF_x );      // wait until byte received  
  return ( SSPBUF );              // return with read byte 
}
#endif
